package clientSide;

import javax.swing.*;

public class GUINode
{
	String tabName;
	JButton sendMessage;
	JTextField messageBox;
	JTextArea chatBox;
	DefaultListModel listModel;
	JList list;
	JScrollPane listScrollPane;
	
	
	public GUINode(String tabName)
	{
		this.tabName = tabName;
		
		chatBox = new JTextArea();
		chatBox.setEditable(false);
		chatBox.setLineWrap(true);
		
		messageBox = new JTextField(30);
		messageBox.requestFocusInWindow();
		
		sendMessage = new JButton("Send Message");
	}
	
	public JScrollPane getListScrollPane()
	{
		return listScrollPane;
	}

	public void setListScrollPane(JScrollPane listScrollPane)
	{
		this.listScrollPane = listScrollPane;
	}

	public GUINode(String tabName, JTextArea chatBox, JTextField messageBox, JButton sendMessage)
	{
		this.tabName = tabName;
		this.chatBox = chatBox;
		this.messageBox = messageBox;
		this.sendMessage = sendMessage;
	}
	
	public void setSidePanel(DefaultListModel listModel, JList list, JScrollPane listScrollPane)
	{
		this.listModel = listModel;
		this.list = list;
		this.listScrollPane = listScrollPane;
	}
	
	public DefaultListModel getListModel()
	{
		return listModel;
	}

	public void setListModel(DefaultListModel listModel)
	{
		this.listModel = listModel;
	}

	public String getTabName()
	{
		return tabName;
	}
	public void setTabName(String tabName)
	{
		this.tabName = tabName;
	}
	public JButton getSendMessage()
	{
		return sendMessage;
	}
	public void setSendMessage(JButton sendMessage)
	{
		this.sendMessage = sendMessage;
	}
	public JTextField getMessageBox()
	{
		return messageBox;
	}
	public void setMessageBox(JTextField messageBox)
	{
		this.messageBox = messageBox;
	}
	public JTextArea getChatBox()
	{
		return chatBox;
	}
	public void setChatBox(JTextArea chatBox)
	{
		this.chatBox = chatBox;
	}
	
}
