package serverSide;

import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.PublicKey;

import javax.crypto.Cipher;
import javax.crypto.NoSuchPaddingException;

public class CipherHelperS
{
	PrivateKey privKey;
	Cipher cipher;
	
	public CipherHelperS() throws NoSuchAlgorithmException, NoSuchPaddingException
	{
		cipher = Cipher.getInstance("RSA/ECB/PKCS1Padding");
	}
	
	public PrivateKey getPrivKey()
	{
		return privKey;
	}
	public void setPrivKey(PrivateKey privKey)
	{
		this.privKey = privKey;
	}
	
	public byte[] encrypt(String text, PublicKey pubKey) throws Exception
	{
		cipher.init(Cipher.ENCRYPT_MODE, pubKey);
		return cipher.doFinal(text.getBytes());
	}
	
	public String decrypt(byte[] text) throws Exception
	{
	    cipher.init(Cipher.DECRYPT_MODE, privKey);

	    byte[] decryptedBytes = cipher.doFinal(text);
	    return new String (decryptedBytes);
	}
	
	
}
