package clientSide;

import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.PublicKey;

import javax.crypto.Cipher;
import javax.crypto.NoSuchPaddingException;

public class CipherHelper
{
	PublicKey pubKey;
	PrivateKey privKey;
	Cipher cipher;
	
	public CipherHelper() throws NoSuchAlgorithmException, NoSuchPaddingException
	{
		cipher = Cipher.getInstance("RSA/ECB/PKCS1Padding");
	}
	
	public PublicKey getPubKey()
	{
		return pubKey;
	}
	public void setPubKey(PublicKey pubKey)
	{
		this.pubKey = pubKey;
	}
	public PrivateKey getPrivKey()
	{
		return privKey;
	}
	public void setPrivKey(PrivateKey privKey)
	{
		this.privKey = privKey;
	}
	
	public void attempt(String text) throws Exception
	{
		//Cipher cipher = Cipher.getInstance("RSA/ECB/PKCS1Padding");
	    cipher.init(Cipher.ENCRYPT_MODE, pubKey);
	    
	    System.out.println("Server:SUCCESSFUL REGISTRATION");
	    byte[] cipherText = cipher.doFinal("Server:SUCCESSFUL REGISTRATION".getBytes());
	    
	    System.out.println(new String(cipherText));
	    cipher.init(Cipher.DECRYPT_MODE, privKey);

	    byte[] decryptedKeyBytes = cipher.doFinal(cipherText);
	    System.out.println(new String(decryptedKeyBytes));
	}
	
	public byte[] encrypt(String text) throws Exception
	{
		cipher.init(Cipher.ENCRYPT_MODE, pubKey);
		return cipher.doFinal(text.getBytes());
	}
	
	public String decrypt(byte[] text) throws Exception
	{
	    cipher.init(Cipher.DECRYPT_MODE, privKey);
	    byte[] decryptedBytes = cipher.doFinal(text);
	    //System.out.println(new String(decryptedKeyBytes));
	    return new String (decryptedBytes);
	}
	
	
}
