package clientSide;

import java.io.DataOutputStream;
import java.net.Socket;

//Thread that sits and only runs if the program is shut down improperly
class ShutdownHookThread extends Thread
{
	Socket clientSocket;
	ClientGUI parent;

	public void setClientSocket(Socket clientSocket)
	{
		this.clientSocket = clientSocket;
	}
	
	public void setOutToServer(DataOutputStream outToServer)
	{
		this.outToServer = outToServer;
	}

	DataOutputStream outToServer;
	
	ShutdownHookThread(ClientGUI clientGUI, Socket clientSocket, DataOutputStream out)
	{
		this.parent = clientGUI;
		this.clientSocket = clientSocket;
		this.outToServer = out;
	}

	public void run()
	{
		try
		{ //Check if socket is closed or not as running this when it is closed
			//will cause problems.
			if (!clientSocket.isClosed())
			{
				System.out.println();
				System.out.println("A little rude to exit like that, but " +
					"thats okay......");
				//outToServer.writeBytes("\\LOGOUT" + '\n');
				parent.sendEncrypted("\\LOGOUT");
				System.out.println("I will proceed to clean up your mess");
				clientSocket.shutdownInput();
				outToServer.close();
				clientSocket.close();
			}
		}
		catch (Exception e) {System.out.println(e);}
	}

	public void setClientGUI(ClientGUI clientGUI)
	{
		this.parent = clientGUI;
	}
}